<?php 
/*
Plugin Name: Admin Options
Plugin URI:
Description: Declares a plugin   
WordPress admin interface
Version: 1.0
Author:  
Author URI:  
License: GPLv2
*/ 
 
define( 'SP_PLUGIN', __FILE__ );  
define( 'SP_PLUGIN_DIR', untrailingslashit( dirname( SP_PLUGIN ) ) );  
require SP_PLUGIN_DIR  . '/functions.php';  
require SP_PLUGIN_DIR  . '/globals.php';
 
 
add_action( 'admin_menu', 'custom_admin_menu' );	
function custom_admin_menu() {
    add_options_page(
        'Admin Settings',
        'Admin Settings',
        'manage_options',
        'wporg-plugin',
        'wporg_options_html'
    );
}

add_action( 'wp_head', 'buildcss', 0 );
function buildcss() { 
	$DEVMODE = get_option("DEVMODE");
    $DEBUG = get_option("DEBUG");  
	if( $DEVMODE == 1){
		BuildCSSFile();
		BuildJSFile();
	} 
	if( $DEBUG == 1){ 
	    enqueue_debug_files();
	}else{
        wp_enqueue_style('style-production',  get_stylesheet_directory_uri() . '/stylesheet.css');
    } 
} 
 

function wporg_options_html() {
  
	if (  isset(  $_POST["update_settings"]  )  ) {
       if ( ! isset( $_POST['setting_nonce'] ) || ! wp_verify_nonce( $_POST['setting_nonce'], '_setting_nonce' ) ) return;
 
		$MinifyCSS = esc_attr(  $_POST["MinifyCSS"]  );    
		update_option("MinifyCSS", $MinifyCSS);  
 
		$DEVMODE = esc_attr(  $_POST["DEVMODE"]  );    
		update_option("DEVMODE", $DEVMODE);  
 
		$DEBUG = esc_attr(  $_POST["DEBUG"]  );    
		update_option("DEBUG", $DEBUG);  
  
	}		
	$MinifyCSS = get_option("MinifyCSS"); 
	$DEVMODE = get_option("DEVMODE"); 
    $DEBUG = get_option("DEBUG");
 
	BuildCSSFile();
    BuildJSFile();

   
?>
    <div class="wrap">
         <h2>Admin Settings</h2> 
        <form method="POST" action=""> 
            <?php  wp_nonce_field( '_setting_nonce', 'setting_nonce' );  ?>
			<input type="hidden" name="update_settings" value="Y" />
 
			<?php 
				$checked="";
				if($DEVMODE==1){ $checked=" checked "; } 
			?>  
			DEVMODE - REBUILD STYLE.CSS: <input type="checkbox" name="DEVMODE"  value="1"  <?php echo $checked;?> />  
            <br>
			<?php 
				$checked="";
				if($DEBUG==1){ $checked=" checked "; } 
			?>  
            DEBUG - RENDER ALL SOURCE CSS: <input type="checkbox" name="DEBUG"  value="1"  <?php echo $checked;?> />
            <br> 			
			<?php 
				$checked="";
				if($MinifyCSS==1){ $checked=" checked "; } 
			?>  
			MinifyCSS - MINIFY EXISTING STYLE.CSS: <input type="checkbox" name="MinifyCSS"  value="1"  <?php echo $checked;?> />  
			<br> <br> 
			<input type="submit" value="Build CSS" class="button button-primary"/>
            <br>  
		</form>	
    </div>
     
    <?php    
}

 
function BuildCSSFile(){  
	$css = '';
	$cnt = 1;
	  
	$css_files_dir = setGlobals::getInstance()->css_files_dir; 
	$css_save_as = get_stylesheet_directory() . '/stylesheet.css'; 	
  
	$files1 = scandir( $css_files_dir );  
 
	foreach($files1 as $item) {  
		
		if ( strpos($item, '.css') !== false) {
			//print_r( "<Br>".  $item ) ;
			$file_get_contents = file_get_contents($css_files_dir . $item);
			$header = SectionHeader($item, $cnt );  
			$css .= $header . $file_get_contents ;	
			$cnt+=1;
		}	 
	}  
	if( get_option("MinifyCSS") ==1 ){ 
		$css = minify_css($css);
	}	 
	file_put_contents( $css_save_as, $css);
}
function enqueue_debug_files(){
  
	$css_files_dir = setGlobals::getInstance()->css_files_dir;   
	$cssfiles  = scandir( $css_files_dir );  
	foreach($cssfiles as $item) {    
		if ( strpos($item, '.css') !== false) {  
            $key = $item;
			wp_enqueue_style(
			$key,   get_template_directory_uri() . '/css/'  . $item
			,   array(),  time(),   'all' 
			);  
		}	 
	}  
}
function BuildJSFile(){ 
	$output = '';
	$cnt = 1;

	$parent_dir = get_stylesheet_directory(); 
	$js_files_dir = $parent_dir . '/scripts/'; 
	$js_save_as = $parent_dir . '/scripts.js';
	
	$files1 = scandir($js_files_dir); 
	// print_r( "<Br><Br><Br>FILES BUILT: <Br>"  ) ;
	foreach($files1 as $item) {   
		if ( strpos($item, '.js') !== false) {
			// print_r( "<Br>".  $item ) ;
			$file_get_contents = file_get_contents($js_files_dir . $item);
			$header = SectionHeader($item, $cnt );  
			$output .= $header . $file_get_contents ;	
			$cnt+=1;
		}	 
	}   
	file_put_contents(  $js_save_as, $output); 
}
 


 
?>